Skip to content

Get Current Fee Rate Range

This endpoint does not support FIL, DOT, KSM, TON, CARDANO, SOLANA, NEAR chains

Endpoint

GET https://api.mycactus.dev/custody/v1/api/customize-fee-rate/range
GET https://api.mycactus.com/custody/v1/api/customize-fee-rate/range

Parameters

Query Parameters

FieldTypeDescription
coin_name
Required
StringCoin name
Allowed Value: Refer to Coin Name (API) column in Supported Token

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectShows the range of the gas fee rate (see data object details below)

data (object)

FieldTypeDescription
maxFeeRateIntegerMaximum Fee Rate
minFeeRateIntegerMinimum Fee Rate

Response Example

{
    "code": 0,
    "message": "",
    "successful": true,
    "data": {
        "maxFeeRate": 100000,
        "minFeeRate": 1000
    }
}